Set Deployment Domain Name for a resource kind.

  • PUT /platform/configuration/networking/deployment_domain_name/{resource_kind}

Saves the Deployment Domain Name configuration value for a resource kind.

Path Parameters

resource_kind enum required

The kind of resource you want to manage a Deployment Domain Name for.

Values: elasticsearch kibana apm appsearch enterprise_search integrations_server

Request

Data containing the Deployment Domain Name to set

value string required

The domain name for all deployments. The hostname of an application in a deployment is constructed from the application ID and the domain name (for example, 1234567890.example.com).

Responses